/**
 * Copyright 2006 Ramona Dromereschi
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 **/
package com.puzzle.game.impl;

/**
 * Created by IntelliJ IDEA.
 * <p/>
 * User: Ramona Dromereschi
 * <p/>
 * Date: Oct 25, 2006
 * Time: 2:37:20 PM
 * <p/>
 * The puzzle timer thread.
 */
public class TimerThread implements Runnable {
    /** The puzzle model. */
    private PuzzleModel model;
    /** The puzzle view. */
    private PuzzleView view;

    /**
     * The class constructor.
     * @param v the puzzle view
     * @param m the puzzle model
     */
    TimerThread(PuzzleView v, PuzzleModel m) {
        view = v;
        model = m;
    }

    /**
     * The run method of the thread.
     */
    public void run() {
        long t = System.currentTimeMillis();
        while (!model.isWinner()) {
            try {
                int s = (int) ((System.currentTimeMillis() - t) / 1000);
                int m = s / 60;
                s = s % 60;
                model.setCurrentSeconds(s);
                model.setCurrentMinutes(m);
                view.repaint();
                Thread.sleep(1000);
            } catch (InterruptedException iE) {
            }
        }
    }
}
