/**
 * Copyright 2006 Ramona Dromereschi
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 **/
package com.puzzle.game.states.impl;

import com.puzzle.game.impl.PuzzleModel;
import com.puzzle.game.impl.PuzzleView;

/**
 * Created by IntelliJ IDEA.
 * <p/>
 * User: Ramona Dromereschi
 * <p/>
 * Date: Oct 25, 2006
 * Time: 2:51:31 PM
 * <p/>
 * The move left state.
 */
public class LeftState extends AbstractMoveState {

    /**
     * The class constructor.
     * @param v the puzzle view
     * @param m the puzzle model
     */
    public LeftState(PuzzleView v, PuzzleModel m) {
        view = v;
        model = m;
    }

    /**
     * The state move method.
     */
    public void move() {
        if ((model.getCurrentX() < model.getMaxHeight() - 1) && (!model.isWinner())) {
            setCurrentValue(1, 0);
            refreshView();
        }
    }
}
